## r-cran-polyclip 1.2

=== DESCRIPTION ===
Package: polyclip
Version: 1.2-0
Date: 2013-11-21
Title: Polygon Clipping
Author: Angus Johnson. Ported to R by Adrian Baddeley and Brian Ripley.
Maintainer: Adrian Baddeley <Adrian.Baddeley@uwa.edu.au>
Depends: R (>= 3.0.0)
Description: R port of the Clipper library. Performs polygon clipping operations (intersection, union, set minus, set difference) for polygonal regions of arbitrary complexity, including holes. Also computes offset polygons (spatial buffer zones, morphological dilations, Minkowski dilations) for polygonal regions and polygonal lines.
License: BSL
URL: http://www.angusj.com/delphi/clipper.php
LazyData: true
LazyLoad: true
ByteCompile: true
Packaged: 2013-11-21 05:02:31 UTC; adrian
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-11-21 06:48:29

## r-cran-polyclip 1.2-0

=== debian/changelog ===
r-cran-polyclip (1.2-0-1) unstable; urgency=low

  * Initial release (Closes: #735343).

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2014 16:30:53 +0100

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-

include /usr/share/R/debian/r-cran.mk

## r-cran-polyclip 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: polyclip
-Version: 1.2-0
-Date: 2013-11-21
+Version: 1.3-0
+Date: 2014-05-04
 Title: Polygon Clipping
 Author: Angus Johnson. Ported to R by Adrian Baddeley and Brian Ripley.
 Maintainer: Adrian Baddeley <Adrian.Baddeley@uwa.edu.au>
@@ -11,7 +11,7 @@
 LazyData: true
 LazyLoad: true
 ByteCompile: true
-Packaged: 2013-11-21 05:02:31 UTC; adrian
+Packaged: 2014-05-05 10:31:18 UTC; adrian
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-11-21 06:48:29
+Date/Publication: 2014-05-05 14:44:44

## r-cran-polyclip 1.3-0

=== debian/changelog ===
r-cran-polyclip (1.3-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jun 2014 23:16:55 +0200

=== debian/control ===
Source: r-cran-polyclip
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-polyclip/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-polyclip/trunk/
Homepage: http://cran.r-project.org/web/packages/spatstat/

Package: r-cran-polyclip
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Description: GNU R Polygon Clipping
 R port of the Clipper library. Performs polygon clipping operations
 (intersection, union, set minus, set difference) for polygonal regions
 of arbitrary complexity, including holes. Also computes offset polygons
 (spatial buffer zones, morphological dilations, Minkowski dilations) for
 polygonal regions and polygonal lines.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/polyclip_([-\d.]*)\.tar\.gz

## r-cran-polyclip 1.5

=== DESCRIPTION ===
Package: polyclip
Version: 1.5-6
Date: 2016-04-02
Title: Polygon Clipping
Authors@R: c(person("Angus", "Johnson", role = "aut", 
   	    comment="C++ original, http://www.angusj.com/delphi/clipper.php"),
	     person("Adrian", "Baddeley", role = c("aut", "trl", "cre"),
		     email = "Adrian.Baddeley@curtin.edu.au"),
	     person(c("Brian", "D."), "Ripley", role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.0.0)
Description: R port of Angus Johnson's open source library Clipper. Performs polygon clipping operations (intersection, union, set minus, set difference) for polygonal regions of arbitrary complexity, including holes. Computes offset polygons (spatial buffer zones, morphological dilations, Minkowski dilations) for polygonal regions and polygonal lines. Computes Minkowski Sum of general polygons. There is a function for removing self-intersections from polygon data.
License: BSL
URL: http://www.angusj.com/delphi/clipper.php,
        https://sourceforge.net/projects/polyclipping,
        https://github.com/baddstats/polyclip
LazyData: true
LazyLoad: true
ByteCompile: true
Note: built from Clipper C++ version 6.4.0
NeedsCompilation: yes
Packaged: 2016-04-02 03:34:42 UTC; adrian
Author: Angus Johnson [aut] (C++ original,
    http://www.angusj.com/delphi/clipper.php),
  Adrian Baddeley [aut, trl, cre],
  Brian D. Ripley [ctb]
Repository: CRAN
Date/Publication: 2016-04-03 00:26:40

## r-cran-polyclip 1.5-6

=== debian/changelog ===
r-cran-polyclip (1.5-6-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 10 Nov 2016 11:37:48 +0100

=== debian/control ===
Source: r-cran-polyclip
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-polyclip/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-polyclip/trunk/
Homepage: https://cran.r-project.org/package=polyclip

Package: r-cran-polyclip
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Polygon Clipping
 R port of the Clipper library. Performs polygon clipping operations
 (intersection, union, set minus, set difference) for polygonal regions
 of arbitrary complexity, including holes. Also computes offset polygons
 (spatial buffer zones, morphological dilations, Minkowski dilations) for
 polygonal regions and polygonal lines.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/polyclip_([-\d.]*)\.tar\.gz

## r-cran-polyclip 1.6

=== DESCRIPTION ===
Package: polyclip
Version: 1.6-1
Date: 2017-03-22
Title: Polygon Clipping
Authors@R: c(person("Angus", "Johnson", role = "aut", 
   	    comment="C++ original, http://www.angusj.com/delphi/clipper.php"),
	     person("Adrian", "Baddeley", role = c("aut", "trl", "cre"),
		     email = "Adrian.Baddeley@curtin.edu.au"),
	     person(c("Brian", "D."), "Ripley", role = "ctb"),
	     person("Kurt", "Hornik", role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.0.0)
Description: R port of Angus Johnson's open source library Clipper. Performs polygon clipping operations (intersection, union, set minus, set difference) for polygonal regions of arbitrary complexity, including holes. Computes offset polygons (spatial buffer zones, morphological dilations, Minkowski dilations) for polygonal regions and polygonal lines. Computes Minkowski Sum of general polygons. There is a function for removing self-intersections from polygon data.
License: BSL
URL: http://www.angusj.com/delphi/clipper.php,
        https://sourceforge.net/projects/polyclipping,
        https://github.com/baddstats/polyclip
LazyData: true
LazyLoad: true
ByteCompile: true
Note: built from Clipper C++ version 6.4.0
NeedsCompilation: yes
Packaged: 2017-03-22 02:47:50 UTC; 214132e
Author: Angus Johnson [aut] (C++ original,
    http://www.angusj.com/delphi/clipper.php),
  Adrian Baddeley [aut, trl, cre],
  Brian D. Ripley [ctb],
  Kurt Hornik [ctb]
Repository: CRAN
Date/Publication: 2017-03-22 08:55:21 UTC

## r-cran-polyclip 1.6-1

=== debian/changelog ===
r-cran-polyclip (1.6-1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Secure URI in watch file
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 15:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: r-cran-polyclip
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9.0),
-               dh-r,
-               r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-polyclip/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-polyclip/trunk/
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper (>= 10),
+               dh-r
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-polyclip.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-polyclip.git
 Homepage: https://cran.r-project.org/package=polyclip
 
 Package: r-cran-polyclip

## r-cran-polyclip 1.9-1

=== debian/changelog ===
r-cran-polyclip (1.9-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jul 2018 08:19:29 +0200

r-cran-polyclip (1.9-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 08:33:50 +0200

r-cran-polyclip (1.8-7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 10:32:33 +0200

r-cran-polyclip (1.8-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 08:24:13 +0200

=== debian/control ===
Source: r-cran-polyclip
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
Homepage: https://cran.r-project.org/package=polyclip

Package: r-cran-polyclip
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Polygon Clipping
 R port of the Clipper library. Performs polygon clipping operations
 (intersection, union, set minus, set difference) for polygonal regions
 of arbitrary complexity, including holes. Also computes offset polygons
 (spatial buffer zones, morphological dilations, Minkowski dilations) for
 polygonal regions and polygonal lines.

## r-cran-polyclip 1.10

=== DESCRIPTION ===
Package: polyclip
Version: 1.10-6
Date: 2023-09-27
Title: Polygon Clipping
Authors@R: c(person("Angus", "Johnson", role = "aut", 
   	    comment="C++ original, http://www.angusj.com/delphi/clipper.php"),
	     person("Adrian", "Baddeley", role = c("aut", "trl", "cre"),
		     email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Kurt", "Hornik", role = "ctb"),
	     person(c("Brian", "D."), "Ripley", role = "ctb"),
	     person("Elliott", "Sales de Andrade", role="ctb"),
	     person("Paul", "Murrell", role = "ctb"),
	     person("Ege", "Rubak", role="ctb"),
	     person("Mark", "Padgham", role="ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.0.0)
Description: R port of Angus Johnson's open source library 'Clipper'. Performs polygon clipping operations (intersection, union, set minus, set difference) for polygonal regions of arbitrary complexity, including holes. Computes offset polygons (spatial buffer zones, morphological dilations, Minkowski dilations) for polygonal regions and polygonal lines. Computes Minkowski Sum of general polygons. There is a function for removing self-intersections from polygon data.
License: BSL
URL: http://www.angusj.com/delphi/clipper.php,
        https://sourceforge.net/projects/polyclipping,
        https://github.com/baddstats/polyclip
BugReports: https://github.com/baddstats/polyclip/issues
ByteCompile: true
Note: built from Clipper C++ version 6.4.0
NeedsCompilation: yes
Packaged: 2023-09-27 11:07:23 UTC; adrian
Author: Angus Johnson [aut] (C++ original,
    http://www.angusj.com/delphi/clipper.php),
  Adrian Baddeley [aut, trl, cre],
  Kurt Hornik [ctb],
  Brian D. Ripley [ctb],
  Elliott Sales de Andrade [ctb],
  Paul Murrell [ctb],
  Ege Rubak [ctb],
  Mark Padgham [ctb]
Repository: CRAN
Date/Publication: 2023-09-27 11:40:06 UTC

## r-cran-polyclip 1.10-0

=== debian/changelog ===
r-cran-polyclip (1.10-0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 11:06:50 +0200

r-cran-polyclip (1.10-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 22:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
 Homepage: https://cran.r-project.org/package=polyclip
+Rules-Requires-Root: no
 
 Package: r-cran-polyclip
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/polyclip_([-\d.]*)\.tar\.gz

## r-cran-polyclip 1.10-4

=== debian/changelog ===
r-cran-polyclip (1.10-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-polyclip
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
+Homepage: https://cran.r-project.org/package=polyclip
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
-Homepage: https://cran.r-project.org/package=polyclip
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-polyclip
 Architecture: any

## r-cran-polyclip 1.10-6

=== debian/changelog ===
r-cran-polyclip (1.10-6-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
 Homepage: https://cran.r-project.org/package=polyclip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-polyclip 1.10-7

=== debian/changelog ===
r-cran-polyclip (1.10-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 13:45:49 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polyclip
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polyclip.git
 Homepage: https://cran.r-project.org/package=polyclip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
